System.Web.Services 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Attribute System.AttributeUsage(System.AttributeTargets.Method, Inherited=true)

If an XML Web service client calls an XML Web service method using HTTP-GET, must be set to XmlReturnReader and set to UrlParameterWriter. XML Web service clients invoking a XML Web service using HTTP-POST must set to XmlReturnReader and to HtmlFormParameterWriter.

Applying this attribute to an XML Web service client using HTTP-GET or HTTP-POST, sets the types that serialize the parameters sent to an XML Web service method and read the response from the XML Web service method. This class cannot be inherited.

- Constructor
  To be added

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the .

  Initializes the property to a that deserializes the response from an XML Web service method.
  Initializes the property to a that serializes parameters sent from an XML Web service client to an XML Web service method.
  1.0.5000.0
  2.0.0.0
- Property
  System.Type To be added: an object of type 'Type'

  If the XML Web service client is invoking an XML Web service method using HTTP-GET or HTTP-POST, must be XMLReturnReader.

  Gets or sets a that serializes parameters sent from an XML Web service client to the XML Web service method.

  1.0.5000.0
  2.0.0.0
- Property
  System.Type To be added: an object of type 'Type'

  If the XML Web service client is invoking an XML Web service method using HTTP-GET, must be UrlParameterWriter, whereas a client using HTTP-POST must set to HtmlFormParameterWriter.

  Gets or sets a that deserializes the response from an XML Web service method.

  1.0.5000.0
  2.0.0.0